| TagLib 1.13 |  |

Public Member Functions | List of all members
TagLib::Ogg::Opus::Properties Class Reference

An implementation of audio property reading for Ogg Opus. More...

`#include <opusproperties.h>`

Inheritance diagram for TagLib::Ogg::Opus::Properties:
[legend]
Collaboration diagram for TagLib::Ogg::Opus::Properties:
[legend]

## Public Member Functions
| Properties (File *file, ReadStyle style=Average)
virtual | ~Properties ()
virtual TAGLIB_DEPRECATED int | length () const
int | lengthInSeconds () const
int | lengthInMilliseconds () const
virtual int | bitrate () const
virtual int | sampleRate () const
virtual int | channels () const
int | inputSampleRate () const
int | opusVersion () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
virtual int | length () const =0
int | lengthInSeconds () const
int | lengthInMilliseconds () const
virtual int | bitrate () const =0
virtual int | sampleRate () const =0
virtual int | channels () const =0

## Additional Inherited Members
Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of audio property reading for Ogg Opus.

This reads the data from an Ogg Opus stream found in the AudioProperties API.

## Constructor & Destructor Documentation

## ◆ Properties()

TagLib::Ogg::Opus::Properties::Properties | ( | File * | file,
|  | ReadStyle | style = `Average`
| ) |  |

Create an instance of Opus::Properties with the data read from the Opus::File file.

## ◆ ~Properties()

virtual TagLib::Ogg::Opus::Properties::~Properties | ( |  | ) |
| virtual

Destroys this Opus::Properties instance.

## Member Function Documentation

## ◆ bitrate()

virtual int TagLib::Ogg::Opus::Properties::bitrate | ( |  | ) | const
| virtual

Returns the average bit rate of the file in kb/s.

Implements TagLib::AudioProperties.

## ◆ channels()

virtual int TagLib::Ogg::Opus::Properties::channels | ( |  | ) | const
| virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## ◆ inputSampleRate()

int TagLib::Ogg::Opus::Properties::inputSampleRate | ( |  | ) | const

The Opus codec supports decoding at multiple sample rates, there is no single sample rate of the encoded stream. This returns the sample rate of the original audio stream.

## ◆ length()

virtual TAGLIB_DEPRECATED int TagLib::Ogg::Opus::Properties::length | ( |  | ) | const
| virtual

Returns the length of the file in seconds. The length is rounded down to the nearest whole second.

Note
  This method is just an alias of lengthInSeconds().

Deprecated:
  Use lengthInSeconds().

Implements TagLib::AudioProperties.

## ◆ lengthInMilliseconds()

int TagLib::Ogg::Opus::Properties::lengthInMilliseconds | ( |  | ) | const

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

## ◆ lengthInSeconds()

int TagLib::Ogg::Opus::Properties::lengthInSeconds | ( |  | ) | const

Returns the length of the file in seconds. The length is rounded down to the nearest whole second.

See also
  lengthInMilliseconds()

## ◆ opusVersion()

int TagLib::Ogg::Opus::Properties::opusVersion | ( |  | ) | const

Returns the Opus version, in the range 0...255.

## ◆ sampleRate()

virtual int TagLib::Ogg::Opus::Properties::sampleRate | ( |  | ) | const
| virtual

Returns the sample rate in Hz.

Note
  Always returns 48000, because Opus can decode any stream at a sample rate of 8, 12, 16, 24, or 48 kHz,

Implements TagLib::AudioProperties.

The documentation for this class was generated from the following file:

- opusproperties.h